Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.encoding
Class ImageDataContentHandler

    java.lang.Object
      weblogic.webservice.encoding.ImageDataContentHandler

All Implemented Interfaces:
  DataContentHandler

Deprecated. please migrate to jws for webservices

    public class ImageDataContentHandler

extends Object
implements DataContentHandler

Constructor Summary
`ImageDataContentHandler()` Deprecated.

Method Summary
`Object` | `getContent(DataSource ds)` Deprecated.
`Object` | `getTransferData(DataFlavor df, DataSource ds)` Deprecated.
`DataFlavor[]` | `getTransferDataFlavors()` Deprecated.
`void` | `writeTo(Object obj, String mimeType, OutputStream out)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageDataContentHandler

    public ImageDataContentHandler()

  Deprecated.

Method Detail

### getTransferDataFlavors

    public DataFlavor[] getTransferDataFlavors()

  Deprecated.
  Specified by:
    `getTransferDataFlavors` in interface `DataContentHandler`

### getTransferData

    public Object getTransferData(DataFlavor df,
                                  DataSource ds)
                           throws UnsupportedFlavorException,
                                  IOException

  Deprecated.
  Specified by:
    `getTransferData` in interface `DataContentHandler`
  Throws:
    `UnsupportedFlavorException`
    `IOException`

### getContent

    public Object getContent(DataSource ds)
                      throws IOException

  Deprecated.
  Specified by:
    `getContent` in interface `DataContentHandler`
  Throws:
    `IOException`

### writeTo

    public void writeTo(Object obj,
                        String mimeType,
                        OutputStream out)
                 throws IOException

  Deprecated.
  Specified by:
    `writeTo` in interface `DataContentHandler`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD